#include <iostream>
#include <iomanip>

double Uzgajivaci_jabuka[200001];
double procenti[200001];

using namespace std;
int main()
{
	long long n;
	double najmanjielement = 100;
	double SPAUJ = 0;
	int i, j;
	int najmanjiprocenat;
	cin >> n;
	for (i = 0; i < n; i++)
	{
		cin >> Uzgajivaci_jabuka[i] >> procenti[i];
	}
	double zbir = 0;
	for (i = 0; i < n; i++)
	{
		zbir += procenti[i];
	}
	double broj_najmanjih = n;
	double prosek = 0;
	prosek = zbir / broj_najmanjih;
	for (i = 0; i < n; i++)
	{
		if (procenti[i] > prosek)
		{
			if (procenti[i] < najmanjielement)
			{
				najmanjielement = procenti[i];
			}
		}
	}
	double zbirSPAUJ = 0;
	for (i = 0; i < n; i++)
	{
		if (procenti[i] > prosek)
		{
			zbirSPAUJ += Uzgajivaci_jabuka[i];
		}
	}
	SPAUJ = zbirSPAUJ * (najmanjielement / 100);
	cout << setprecision(8) << SPAUJ << endl;

	return 0;
}